[Réglé] Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Forum concernant les demandes de support pour tout problème de mise à jour d'un forum phpBB 3.2.x depuis une version antérieure ou d'une conversion de phpBB2 ou phpBB3 vers phpBB 3.2

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar grahamdetroy » 08 Avr 2018 à 23:50

Sylveretour a écrit:Un petit truc en passant, quelle est la version de php en cours ?

A-tu bien tous les pré-requis listés ici -> support-installation-phpbb32/sujet209323.html


Ma version php est 7.1.8 et mes pré-requis sont bons.

Je tiens à te remercier de ta patience, et de ton aide.
J'ai enfin résolu le soucis.

Voici ce que j'ai fait et qui a fonctionné.

J'ai téléchargé l'archive phpbb3.2.2 complete (et non la FR).
J'ai supprimé "vendor" de mon FTP
J'ai FERME FILLEZILLA (ce que jusqu'alors je n'avais pas fait de la soirée.)
Fillezilla m'a alors indiqué qu'il restait des fichier à transféré (alors que depuis le dernier transfert il m'indiquait que tous les fichiers étaient correctement transférés)
J'ai ré-ouvert fillezilla
J'ai envoyé le dossier "vendor" de l'archive.
Fillezilla m'a alors signalé des conflits avec des fichiers toujours présent sur mon FTP (qui pourtant n'apparaissaient plus puisqu'il avait soit disans supprimé tout...) et j'ai cliqué sur "remplacés tout"

Et ça fonctionne.

Je pense que le soucis venais de mon fillezilla qui ne copiait ou ne supprimait pas les fichier contrairement à ce qu'il indiquait...

Bon, faut que je remette mon style perso maintenant.

Encore un grand grand grand merci à toi! :wink:
grahamdetroy
Posteur néophyte
Posteur néophyte
 
Messages: 17
Enregistré le: 14 Aoû 2017 à 01:33

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar Sylveretour » 08 Avr 2018 à 23:56

De rien, relis bien mon dernier message que j'ai édité entre temps, il y a d'autres infos à faire.
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 441
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar grahamdetroy » 09 Avr 2018 à 00:02

Sylveretour a écrit:Autres modifs à apporter pour finir, change le fichier download/file.php
puis tout le dossier ext/phpbb/viglink/


Que veux tu dire par change le fichier ? Tu veux que j'exporte de nouveau ce fichier depuis l'archive c'est bien ça ?
grahamdetroy
Posteur néophyte
Posteur néophyte
 
Messages: 17
Enregistré le: 14 Aoû 2017 à 01:33

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar Sylveretour » 09 Avr 2018 à 11:04

Étant donné que le dossier download/ était dans la liste des dossiers ignorés, il faut donc mettre le nouveau fichier download/file.php
Pareil pour le dossier ext/phpbb/viglink/
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 441
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar grahamdetroy » 09 Avr 2018 à 22:36

Ok. Je viens de le faire.
Du coup j'obtient de nouveau un message d'erreur. :?

[phpBB Debug] PHP Warning: in file [ROOT]/phpbb/class_loader.php on line 160: require(./ext/topicit/topicit/event/main_listener.php): failed to open stream: No such file or directory

Fatal error: require(): Failed opening required './ext/topicit/topicit/event/main_listener.php' (include_path='.:/usr/alwaysdata/php/7.1.8/lib/php') in /home/grahamdetroy/www/Massivedarkness/phpbb/class_loader.php on line 160
Modifié en dernier par Steph le 10 Avr 2018 à 07:41, modifié 1 fois.
Raison: Suppression de la citation inutile
grahamdetroy
Posteur néophyte
Posteur néophyte
 
Messages: 17
Enregistré le: 14 Aoû 2017 à 01:33

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar Sylveretour » 09 Avr 2018 à 22:46

Tu a fait une gaffe avec filezilla, dans le répertoire ext/ (répertoire ou se trouvent toutes les extensions installées) tu a supprimé une extension, le répertoire "topicit"
J'ai indiqué de changer le répertoire ext/phpbb/viglink/ mais pas tout ext/

Donc, retrouve l'extension que tu avait installé, remet le répertoire de cette extension et tout ira bien
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 441
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar grahamdetroy » 09 Avr 2018 à 22:50

J'ai un gros problème ... Je n'ai pas sauvegarder mon ext avant de faire la mise à jour (tu as entièrement raison, je suis aller trop vite), et je ne retrouve nul par ce répertoire....
Clairement c'est l'extension topicit, mais impossible de trouver cette extension quelque part.

Edit .... j'avais une copie de topic it... quand le stress t'empêche de réfléchir...
C'est remis. Merci.
Dit moi si il y a encore des choses à faire ;)
Modifié en dernier par Steph le 10 Avr 2018 à 07:42, modifié 1 fois.
Raison: Suppression de la citation inutile
grahamdetroy
Posteur néophyte
Posteur néophyte
 
Messages: 17
Enregistré le: 14 Aoû 2017 à 01:33

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar Sylveretour » 09 Avr 2018 à 22:52

Une simple recherche sur .com et => https://www.phpbb.com/community/viewtop ... p=14918781
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 441
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar grahamdetroy » 09 Avr 2018 à 22:55

J'ai édité entre temps ;)

je faisais une recherche avec le chemin complet, j'avais zappé que ce "ext" était la base de l'installation de l'extension. Je tourne au radar aujourd'hui.... autant pour moi.
Modifié en dernier par Steph le 10 Avr 2018 à 07:42, modifié 1 fois.
Raison: Suppression de la citation inutile
grahamdetroy
Posteur néophyte
Posteur néophyte
 
Messages: 17
Enregistré le: 14 Aoû 2017 à 01:33

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar Sylveretour » 09 Avr 2018 à 22:56

Dit moi si il y a encore des choses à faire ;)

Un café noir serré siouplait :lol:
Avatar de l’utilisateur
Sylveretour
Maître-posteur
Maître-posteur
 
Messages: 441
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Mise à jour 3.2.2 "Composer dependencies have not been set up yet"

Messagepar grahamdetroy » 09 Avr 2018 à 23:00

Ce serais avec plaisir. Un jus comme on dit chez nous ;)

Trugarez !

Je passe le sujet en résolu avec ton accord.
Modifié en dernier par Steph le 10 Avr 2018 à 07:43, modifié 1 fois.
Raison: Suppression de la citation inutile
grahamdetroy
Posteur néophyte
Posteur néophyte
 
Messages: 17
Enregistré le: 14 Aoû 2017 à 01:33

Précédente

Retourner vers Mises à jour/Conversions

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité